AnsweredAssumed Answered

'Invalid Workspace error' with Geoprocessing Services!

Question asked by aravalaspandana on Jun 8, 2016


Background:

ArcGIS Desktop 10.3 & ArcGIS Server 10.3, Oracle DB.

Geoprocessing Services (Customized tools written in Python;Create Version , Delete Version) were all getting published and working fine.

 

Changes:

Desktop was upgraded to 10.3.1, the services were not checked then. It was later required to downgrade the Desktop version to 10.3 for other reasons. So Desktop and Server versions are 10.3. The geoprocessing tools are not getting published.Every time the 'Analyze/Publish' is clicked the application would hang.

 

It was decided to do upgrade Desktop to 10.3.1 after a clean uninstall. (SO Currently,Desktop-10.3.1 and Server-10.3)

The tools are published successfully.However,

Problem:

When the services are being accessed through the REST URL and executed from there and from Arc Catalog, it again shows 'Invalid Workspace Error'.

Is the issue be with Python Script?Considering the script runs successfully and has been for the last 1 year,it seems less likely.

Is there any workaround?

The GP Services were published on another m/c with Desktop and Server versions being 10.3.1 but the issue persists.

Esri Technical Support  Dan Patterson

Outcomes